import turtle
from tree_object import TreeObject

# Star Class
class Star(TreeObject):
    def __init__(self, x, y, size, color="yellow"):
        super().__init__(x, y)
        self.size = size
        self.color = color

    def draw(self):
        turtle.penup()
        turtle.goto(self.x, self.y)
        turtle.color(self.color)
        turtle.begin_fill()
        for _ in range(5):
            turtle.forward(self.size)
            turtle.right(144)
        turtle.end_fill()