import turtle
from tree_object import TreeObject

# Sphere Class
class Sphere(TreeObject):
    def __init__(self, x, y, radius, color="red"):
        super().__init__(x, y)
        self.radius = radius
        self.color = color

    def draw(self):
        turtle.penup()
        turtle.goto(self.x, self.y - self.radius)
        turtle.pendown()
        turtle.color(self.color)
        turtle.begin_fill()
        turtle.circle(self.radius)
        turtle.end_fill()